CONFIG +=			release \
					warn_on \
					qt \
					thread 

TEMPLATE =			app
DESTDIR =			bin

CONFIG(debug, debug|release) {
	TARGET =		cmmspecificationsd
} else {
	TARGET =		cmmspecifications
}

OBJECTS_DIR =		build/obj
MOC_DIR =			build/moc

QT +=				core \
					gui \
					sql

greaterThan(QT_MAJOR_VERSION, 4): {
QT +=				widgets \
					printsupport

}

# DEPENDPATH +=		<relative path>/lib
# INCLUDEPATH +=	<relative path>/src
# LIBS+=			-L<relative path>/lib -l<library name>

SOURCES +=			../core/messagebox.cpp \
					src/cmmspecifications.cpp \
					src/database.cpp \
					src/databaseitem.cpp \
					src/exportoptionsdialog.cpp \
					src/expressionitem.cpp \
					src/import_export.cpp \
					src/main.cpp \
					src/progressdialog.cpp \
					src/specificationeditordialog.cpp \
					src/specificationlimitsdialog.cpp

HEADERS +=			../core/messagebox.h \
					src/cmmspecifications.h \
					src/database.h \
					src/databaseitem.h \
					src/exportoptionsdialog.h \
					src/expressionitem.h \
					src/import_export.h \
					src/progressdialog.h \
					src/specificationeditordialog.h \
					src/specificationlimitsdialog.h

RESOURCES +=		res/cmmspecifications.qrc

macx{

ICON =				res/icons.icns
OBJECTIVE_SOURCES += ../core/nspool.mm
HEADERS += 			../core/nspool.mm
LIBS +=				-framework AppKit -framework Cocoa

QMAKE_INFO_PLIST = ../default_data/Info.plist
}

linux-g++{

isEmpty(PREFIX) {
PREFIX = 			/usr/lib/cmmspecifications
}
target.path =		$$PREFIX
target.files =		bin/cmmspecifications
INSTALLS +=			target

# QMAKE_POST_LINK = patchelf --set-rpath ./qtlibs bin/cmmspecifications
}

win32 {
RC_FILE =			res/resource.rc
}
